# PropertyValue

Class to hold a property value Class only required to make it possible to add a property as reference

package | phing.types

### Methods

## Constructor optionaly sets a the value of property component.

    __construct( $value = null)

### Arguments

#### $value

``

## Get the value of property component.

    getValue()

## Sets a the value of property component.

    setValue( $value)

### Arguments

#### $value

``

## toString

    toString() : string

### Response

`string`

### Properties

## value

    value : string

var |

### Type(s)

`string`